"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = __importDefault(require("assert"));
const chalk_1 = __importDefault(require("chalk"));
exports.framerTokenIsSet = () => {
    const { FRAMER_TOKEN: token } = process.env;
    assert_1.default.ok(token && token.trim(), chalk_1.default `Missing {bold FRAMER_TOKEN} environment variable.\nPlease run the {bold {underline authenticate}} command to obtain your {bold FRAMER_TOKEN}.`);
};
exports.canPublishToStore = (storeIsPrivate, userInfo) => {
    assert_1.default.ok(!storeIsPrivate ||
        (userInfo.organization && userInfo.organization.id !== "00000000-0000-0000-0000-000000000000"), chalk_1.default `Package cannot be published privately.\nPlease re-run this command with the {bold --public} flag.`);
};
exports.canFetchPackageMetaData = (project, newName) => __awaiter(void 0, void 0, void 0, function* () {
    assert_1.default.ok((yield project.getPackageName()) || (yield project.getDisplayName()) || newName, chalk_1.default `Cannot fetch package metadata because of missing information.\nPlease re-run this command with a {bold display name} using the {bold --new} argument.`);
});
exports.canFetchPackageVersion = (project) => __awaiter(void 0, void 0, void 0, function* () {
    assert_1.default.ok(yield project.getPackageName(), chalk_1.default `Cannot fetch the latest version because of missing information.\nPlease ensure the package was previously published.`);
});
