"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
exports.defaults = {
    codePath: "code",
    metadataPath: "metadata",
};
class ProjectPaths {
    constructor(config) {
        const { cachePath, codePath, metadataPath, projectPath, staticPath, yarnLinkDir } = Object.assign(Object.assign({}, exports.defaults), config);
        this.project = path_1.default.resolve(projectPath);
        this.static = staticPath ? path_1.default.resolve(staticPath) : undefined;
        this.cache = path_1.default.resolve(cachePath);
        this.yarnLinkDir = yarnLinkDir ? path_1.default.resolve(yarnLinkDir) : undefined;
        this.yarnMutex = path_1.default.join(this.cache, "yarn", "mutex");
        this.distOutputDir = path_1.default.join(this.project, "dist");
        this.buildOutputDir = path_1.default.join(this.project, "build");
        this.nodeModules = path_1.default.join(this.project, "node_modules");
        /** WARNING: Use `resolveCode` instead of `path.join` when dealing with user input */
        this.code = path_1.default.join(this.project, codePath);
        this.canvasModule = path_1.default.join(this.code, "canvas.tsx");
        this.metadata = path_1.default.join(this.project, metadataPath);
        this.packageJson = path_1.default.join(this.project, "package.json");
        this.yarnLock = path_1.default.join(this.project, "yarn.lock");
        this.yarnCache = path_1.default.join(this.cache, "yarn", "cache");
        this.npmrc = path_1.default.join(this.project, ".npmrc");
        return Object.freeze(this);
    }
}
exports.ProjectPaths = ProjectPaths;
