"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const events_1 = require("events");
const webpack_1 = require("webpack");
class ProgressWatcher extends events_1.EventEmitter {
    constructor() {
        super(...arguments);
        this.running = false;
        this.percentage = 0;
    }
    webpackPlugin() {
        return new webpack_1.ProgressPlugin((percentage) => {
            if (percentage === 1) {
                this.running = false;
                this.emit("complete");
            }
            else if (!this.running) {
                this.running = true;
                this.percentage = 0;
                this.emit("start");
            }
            if (percentage !== this.percentage) {
                this.percentage = percentage;
                this.emit("progress", percentage);
            }
        });
    }
}
exports.ProgressWatcher = ProgressWatcher;
