"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const Compiler_1 = require("../Compiler");
class ProjectPaths {
    constructor(config) {
        const { cachePath, projectPath, yarnLinkDir } = config;
        // Resolve base paths to derive the rest of the project paths
        // All paths are resolved relative to the process.cwd
        this.project = path_1.default.resolve(projectPath);
        this.cache = path_1.default.resolve(cachePath ? cachePath : "/tmp/framer");
        this.yarnLinkDir = path_1.default.resolve(yarnLinkDir ? yarnLinkDir : "/tmp/framer-yarn-link-folder");
        this.yarnMutex = path_1.default.join(this.cache, "yarn", "mutex");
        this.distOutputDir = path_1.default.join(this.project, "dist");
        this.main = path_1.default.join(this.distOutputDir, Compiler_1.BundleChunkName.IndexJs);
        this.nodeModules = path_1.default.join(this.project, "node_modules");
        this.code = path_1.default.join(this.project, "code");
        this.canvasModule = path_1.default.join(this.code, "canvas.tsx");
        this.metadata = path_1.default.join(this.project, "metadata");
        this.packageJson = path_1.default.join(this.project, "package.json");
        this.yarnLock = path_1.default.join(this.project, "yarn.lock");
        this.yarnCache = path_1.default.join(this.cache, "yarn", "cache");
        this.npmrc = path_1.default.join(this.project, ".npmrc");
        this.yarnrc = path_1.default.join(this.project, ".yarnrc");
    }
}
exports.ProjectPaths = ProjectPaths;
