export declare enum YarnCommandResponseTypes {
    error = "error",
    info = "info",
    inspect = "inspect",
    success = "success",
    tree = "tree",
    warning = "warning"
}
export interface Dependencies {
    [key: string]: string;
}
export interface PackageJson {
    [k: string]: any;
    peerDependencies?: Dependencies;
    devDependencies?: Dependencies;
    dependencies?: Dependencies;
    main?: string | void;
    author?: string | void;
    version?: string | void;
    name?: string | void;
    license?: string | void;
}
export interface FramerPackageJson extends Required<PackageJson> {
    framer: {
        displayName: string;
    };
}
export interface YarnCommandOutput {
    data: string | object;
    type: YarnCommandResponseTypes;
}
declare type YarnCommandResultSuccessful = {
    [key in YarnCommandResponseTypes]: YarnCommandOutput[];
} & {
    type: "success";
    output: YarnCommandOutput[];
};
declare type YarnCommandResultFailed = {
    [key in YarnCommandResponseTypes]: YarnCommandOutput[];
} & {
    type: "failure";
    output: YarnCommandOutput[];
};
export declare type YarnCommandResult = YarnCommandResultSuccessful | YarnCommandResultFailed;
export {};
